// Start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// General information section.
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// $Author:yongkiang$ User who last changed the file
// $Date:1/2/2013 12:16:35 PM$ Date and time of last check in
// $Revision:1.0$ Visual SourceSafe version number
// $Workfile::   MainSheet.h                                           $ Filename
// End =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// {{AFX_INCLUDES()
// }}AFX_INCLUDES
#if !defined(AFX_MAINSHEET_H__61C5CDF6_71EB_11D6_A7FC_005004C029CA__INCLUDED_)
#define AFX_MAINSHEET_H__61C5CDF6_71EB_11D6_A7FC_005004C029CA__INCLUDED_
#include "disabTab.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

// MainSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMainSheet
#define PAGEWND_TOP     130
#define PAGEWND_LEFT    5

class CMainDoc;

class DLLCLASS CMainSheet : public CPropertySheet
{
DECLARE_DYNAMIC(CMainSheet)

// Construction
public:
    CMainSheet();
    CMainSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
    CMainSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Operations
public:

// Overrides
// ClassWizard generated virtual function overrides
// {{AFX_VIRTUAL(CMainSheet)
public:
    virtual BOOL OnInitDialog();
    virtual BOOL PreTranslateMessage(MSG* pMsg);
// }}AFX_VIRTUAL

// Implementation
public:
    virtual BOOL CheckSecurity(int nDisplayTab);
    virtual void RefreshLotReportPage(void);
    virtual void OnMoveSub(int nX, int nY);
    virtual void SetModule(stModule *Module);
    virtual void SetModule(stModule *Module, int nNoOfModule);
    virtual BOOL IsSetup(void);
    virtual BOOL CheckSecurity(void);
    int          GetUserLevel(void);
    int          GetSecurityLevel(int nPage);
    void         DeletePage(CPropertyPage *pPage);
    void         InsertPage(CPropertyPage *pPage);
    CString      GetName(void);
    virtual ~CMainSheet();
    void OnMoveWnd(int x, int y);

// Generated message map functions
protected:
// {{AFX_MSG(CMainSheet)
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    CMainDoc* m_pDoc;

    CString m_name;

    int m_nCurrUserLevel;

    CMyTabCtrl m_tabCtrl;

    CBrush          m_brushBackground;
    static COLORREF m_colorBackground;
    static bool     m_bCustomizedColor;
    static bool     m_bCustomizedOptionLoaded;
};

/////////////////////////////////////////////////////////////////////////////

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINSHEET_H__61C5CDF6_71EB_11D6_A7FC_005004C029CA__INCLUDED_)
